from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from .com.sun.star.uno import XInterface

@runtime_checkable
class XTransitionFactory(XInterface, Protocol):
    def hasTransition(self, transitionType: int, transitionSubType: int) -> bool: ...
    def createTransition(self, transitionType: int, transitionSubType: int, transitionFadeColor: int, view: XSlideShowView, leavingBitmap: XBitmap, enteringBitmap: XBitmap) -> XTransition: ...
